View Issue Details

IDProjectCategoryView StatusLast Update
0037400FPCCompilerpublic2020-07-28 01:08
ReporterMarģers Assigned ToFlorian  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86_64OSlinux 
Product Version3.2.0 
Fixed in Version3.3.1 
Summary0037400: internal error 200306031 popcnt ( param_byte);
Descriptionpopcnt() trigger internal error if parameter is byte size
Steps To Reproduceprogram popcnt_internal_error_200306031;

function popc ( a, b: byte):byte;
var z,v: byte;
begin
     z:=a+b;
     v:=popcnt(z); //-- this line
     popc:=v;
end;

begin
end.
Additional Informationas well affected fpc 3.3.1
TagsNo tags attached.
Fixed in Revision45828
FPCOldBugId
FPCTarget-
Attached Files

Activities

jamie philbrook

2020-07-22 00:25

reporter   ~0124218

must be a Linux issue only, can not reproduce in Windows 10-64 fpc 3.2.0

Issue History

Date Modified Username Field Change
2020-07-21 22:32 Marģers New Issue
2020-07-22 00:25 jamie philbrook Note Added: 0124218
2020-07-22 22:47 Florian Assigned To => Florian
2020-07-22 22:47 Florian Status new => resolved
2020-07-22 22:47 Florian Resolution open => fixed
2020-07-22 22:47 Florian Fixed in Version => 3.3.1
2020-07-22 22:47 Florian Fixed in Revision => 45828
2020-07-22 22:47 Florian FPCTarget => -
2020-07-28 01:08 Marģers Status resolved => closed